| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
cv::TrackerSamplerCSC Class Reference
Tracking API

TrackerSampler based on CSC (current state centered), used by MIL algorithm TrackerMIL. More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::TrackerSamplerCSC:

## Classes
struct | Params

## Public Types
enum | { MODE_INIT_POS = 1, MODE_INIT_NEG = 2, MODE_TRACK_POS = 3, MODE_TRACK_NEG = 4, MODE_DETECT = 5 }

## Public Member Functions
| TrackerSamplerCSC (const TrackerSamplerCSC::Params &parameters=TrackerSamplerCSC::Params())
| Constructor. More...
| ~TrackerSamplerCSC ()
void | setMode (int samplingMode)
| Set the sampling mode of TrackerSamplerCSC. More...
Public Member Functions inherited from cv::TrackerSamplerAlgorithm
virtual | ~TrackerSamplerAlgorithm ()
| Destructor. More...
String | getClassName () const
| Get the name of the specific TrackerSamplerAlgorithm. More...
bool | sampling (const Mat &image, Rect boundingBox, std::vector< Mat > &sample)
| Computes the regions starting from a position in an image. More...

## Protected Member Functions
bool | samplingImpl (const Mat &image, Rect boundingBox, std::vector< Mat > &sample) CV_OVERRIDE

## Additional Inherited Members
Static Public Member Functions inherited from cv::TrackerSamplerAlgorithm
static Ptr< TrackerSamplerAlgorithm > | create (const String &trackerSamplerType)
| Create TrackerSamplerAlgorithm by tracker sampler type. More...
Protected Attributes inherited from cv::TrackerSamplerAlgorithm
String | className

## Detailed Description

TrackerSampler based on CSC (current state centered), used by MIL algorithm TrackerMIL.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MODE_INIT_POS | mode for init positive samples
MODE_INIT_NEG | mode for init negative samples
MODE_TRACK_POS | mode for update positive samples
MODE_TRACK_NEG | mode for update negative samples
MODE_DETECT | mode for detect samples

## Constructor & Destructor Documentation

## ◆ TrackerSamplerCSC()

cv::TrackerSamplerCSC::TrackerSamplerCSC | ( | const TrackerSamplerCSC::Params & | parameters = `TrackerSamplerCSC::Params()` | ) |

Constructor.

Parameters

  parameters | TrackerSamplerCSC parameters TrackerSamplerCSC::Params

## ◆ ~TrackerSamplerCSC()

cv::TrackerSamplerCSC::~TrackerSamplerCSC | ( |  | ) |

## Member Function Documentation

## ◆ samplingImpl()

bool cv::TrackerSamplerCSC::samplingImpl | ( | const Mat & | image,
|  | Rect | boundingBox,
|  | std::vector< Mat > & | sample
| ) |  |
| protected virtual

Implements cv::TrackerSamplerAlgorithm.

## ◆ setMode()

void cv::TrackerSamplerCSC::setMode | ( | int | samplingMode | ) |

Set the sampling mode of TrackerSamplerCSC.

Parameters

  samplingMode | The sampling mode

The modes are:

- "MODE_INIT_POS = 1" – for the positive sampling in initialization step
- "MODE_INIT_NEG = 2" – for the negative sampling in initialization step
- "MODE_TRACK_POS = 3" – for the positive sampling in update step
- "MODE_TRACK_NEG = 4" – for the negative sampling in update step
- "MODE_DETECT = 5" – for the sampling in detection step

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp